@use 'mixins' as mixins;
@use 'variables' as variables;

@mixin card($background-color: var(--background-color, white), $color: var(--color, black), ) {
    @include mixins.card($background-color: $background-color, $color: $color);
    text-align: center;

    .routes {
        text-decoration: none;
    }

}


@mixin onboarding-guide {
    width: 30%;
    background-color: blue;
    color: white;
    margin-left: 40%;
    padding: 0.04rem;

    a {
        text-decoration: none;
        color: white;
    }

}

@mixin info {
    margin: 0 auto;
    margin-top: variables.$dashboard-top-padding;
    padding: 0 1rem;
}

.item1 {
    grid-area: engagement-domains;
}

.item2 {
    grid-area: presence-and-growth;
}

.item3 {
    grid-area: affiliates;
}

.item4 {
    grid-area: projects-and-languages;
}

.item5 {
    grid-area: compare-regions;
}

.grid-container {
    display: grid;
    grid-template-areas: 'engagement-domains presence-and-growth affiliates projects-and-languages'
        'engagement-domains presence-and-growth affiliates compare-regions';

    grid-gap: 4rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.card-antiquewhite {
    @include card(antiquewhite, black);
}

.card-white {
    @include card(white, black);
}


.onboarding-guide {
    @include onboarding-guide;
}

.info {
    @include info;
}